1 Reply Latest reply on Apr 28, 2003 9:09 AM by Adrian Brock

    JBoss 3.0 Unified Classloader

    Daniel Silcox Newbie

      Environment is the lastest release of JBoss 3.0/Tomcat4.1

      I have an ear file with the required jboss-app entry to create an ear specific classloader. I am receiving a ClassLoader exception while trying to access the static methods of the HttpUtils class from a jsp.

      The conflict occurs because there is a servlet.jar in both the JBoss/default/server/lib directories and in the Tomcat distribution.

      What is the best work-a-round? Remove one of the servlet.jar files?

      I'm thinking I may be able to include the servlet.jar file in my ear so that it has precedence?

      Would upgrading to 3.2 solve this problem?